## mupen64plus-ui-console 2.5

=== projects/unix/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2009 Richard42                                          *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for Mupen64plus-ui-console

# detect operation system
UNAME ?= $(shell uname -s)
OS := NONE
ifeq ("$(UNAME)","Linux")
  OS = LINUX
endif
ifeq ("$(UNAME)","linux")
  OS = LINUX
endif
ifneq ("$(filter GNU hurd,$(UNAME))","")
  OS = LINUX
endif
ifeq ("$(UNAME)","Darwin")
  OS = OSX
endif
ifeq ("$(UNAME)","FreeBSD")
  OS = FREEBSD
endif
ifeq ("$(UNAME)","OpenBSD")
  OS = FREEBSD
  $(warning OS type "$(UNAME)" not officially supported.')
endif
ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
  OS = LINUX
endif
ifeq ("$(patsubst MINGW%,MINGW,$(UNAME))","MINGW")
  OS = MINGW
endif
ifeq ("$(OS)","NONE")
  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# detect system architecture, only if it matters for build flags
HOST_CPU ?= $(shell uname -m)
CPU := OTHER
ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
  CPU := X86
  ifeq ("$(BITS)", "32")
    ARCH_DETECTED := 64BITS_32
  else
    ARCH_DETECTED := 64BITS
  endif
endif
ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
  CPU := X86
  ARCH_DETECTED := 32BITS
endif

# base CFLAGS, LDLIBS, and LDFLAGS
OPTFLAGS ?= -O3 -flto
WARNFLAGS ?= -Wall

CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -I../../src
ifeq ($(OS), MINGW)
  CFLAGS += -lpthread
  LDLIBS += -lpthread
else
  CFLAGS += -pthread
  LDLIBS += -pthread
endif

ifeq ($(PIE), 1)
  CFLAGS += -fPIE
  LDFLAGS += -pie
else
  CFLAGS += -fno-PIE
endif

# set special flags per-system
ifeq ($(OS), LINUX)
  LDLIBS += -ldl
endif
ifeq ($(OS), OSX)
  #xcode-select has been around since XCode 3.0, i.e. OS X 10.5
  OSX_SDK_ROOT = $(shell xcode-select -print-path)/Platforms/MacOSX.platform/Developer/SDKs
  OSX_SDK_PATH = $(OSX_SDK_ROOT)/$(shell ls $(OSX_SDK_ROOT) | tail -1)

  ifeq ($(CPU), X86)
    ifeq ($(ARCH_DETECTED), 64BITS)
      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.5 -isysroot $(OSX_SDK_PATH)
    else
      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.5 -isysroot $(OSX_SDK_PATH)
    endif
  endif
endif

# test for presence of SDL
ifeq ($(origin SDL_CFLAGS) $(origin SDL_LDLIBS), undefined undefined)
  SDL_CONFIG = $(CROSS_COMPILE)sdl2-config
  ifeq ($(shell which $(SDL_CONFIG) 2>/dev/null),)
    SDL_CONFIG = $(CROSS_COMPILE)sdl-config
    ifeq ($(shell which $(SDL_CONFIG) 2>/dev/null),)
      $(error No SDL development libraries found!)
    else
      $(warning Using SDL 1.2 libraries)
    endif
  endif
  SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
  SDL_LDLIBS += $(shell $(SDL_CONFIG) --libs)
endif
CFLAGS += $(SDL_CFLAGS)
LDLIBS += $(SDL_LDLIBS)

ifeq ($(OS), MINGW)
  LDLIBS += -mconsole
endif

ifeq ($(BIG_ENDIAN), 1)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# tweak flags for 32-bit build on 64-bit system
ifeq ($(ARCH_DETECTED), 64BITS_32)
  ifeq ($(OS), FREEBSD)
    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
  endif
  CFLAGS += -m32
  LDFLAGS += -Wl,-m,elf_i386
endif

# set mupen64plus core API header path
ifneq ("$(APIDIR)","")
  CFLAGS += "-I$(APIDIR)"
else
  TRYDIR = ../../../mupen64plus-core/src/api
  ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
    CFLAGS += -I$(TRYDIR)
  else
    TRYDIR = /usr/local/include/mupen64plus
    ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
      CFLAGS += -I$(TRYDIR)
    else
      TRYDIR = /usr/include/mupen64plus
      ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
        CFLAGS += -I$(TRYDIR)
      else
        $(error Mupen64Plus API header files not found! Use makefile parameter APIDIR to force a location.)
      endif
    endif
  endif
endif

# reduced compile output when running make without V=1
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC  = @echo '    CC  '$@;
	Q_LD  = @echo '    LD  '$@;
endif
endif

# set base program pointers and flags
CC        = $(CROSS_COMPILE)gcc
CXX       = $(CROSS_COMPILE)g++
RM       ?= rm -f
INSTALL  ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# set special flags for given Makefile parameters
# note: COREDIR _must_ end in a slash if you want it to work; not necessary for the others
ifneq ($(PLUGINDIR),)
  CFLAGS += '-DPLUGINDIR="$(PLUGINDIR)"'
endif
ifneq ($(COREDIR),)
  CFLAGS += '-DCOREDIR="$(COREDIR)"'
endif
ifneq ($(SHAREDIR),)
  CFLAGS += '-DSHAREDIR="$(SHAREDIR)"'
endif
ifeq ($(DEBUG),1)
  CFLAGS += -g
  INSTALL_STRIP_FLAG ?= 
else
  INSTALL_STRIP_FLAG ?= -s
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(BINDIR),)
  BINDIR := $(PREFIX)/bin
endif
ifeq ($(MANDIR),)
  MANDIR := $(PREFIX)/share/man
endif
ifeq ($(APPSDIR),)
  APPSDIR := $(PREFIX)/share/applications
endif
ifeq ($(ICONSDIR),)
  ICONSDIR := $(PREFIX)/share/icons/hicolor
endif

SRCDIR = ../../src
OBJDIR = _obj$(POSTFIX)

ifeq ("$(OS)","MINGW")
  EXEEXT = .exe
else
  EXEEXT =
endif

# list of source files to compile
SOURCE = \
	$(SRCDIR)/cheat.c \
	$(SRCDIR)/compare_core.c \
	$(SRCDIR)/core_interface.c \
	$(SRCDIR)/main.c \
	$(SRCDIR)/plugin.c

ifeq ($(OS), MINGW)
SOURCE += \
	$(SRCDIR)/osal_dynamiclib_win32.c \
	$(SRCDIR)/osal_files_win32.c
else
SOURCE += \
	$(SRCDIR)/osal_dynamiclib_unix.c \
	$(SRCDIR)/osal_files_unix.c
endif

# generate a list of object files build, make a temporary directory for them
OBJECTS := $(patsubst $(SRCDIR)/%.c, $(OBJDIR)/%.o, $(filter %.c, $(SOURCE)))
OBJDIRS = $(dir $(OBJECTS))
$(shell $(MKDIR) $(OBJDIRS))

# build targets
TARGET = mupen64plus$(POSTFIX)$(EXEEXT)

targets:
	@echo "Mupen64Plus-ui-console makefile."
	@echo "  Targets:"
	@echo "    all            == Build Mupen64Plus console front-end application"
	@echo "    clean          == remove object files and build products"
	@echo "    rebuild        == clean and re-build all"
	@echo "    install        == Install Mupen64Plus console front-end application"
	@echo "    uninstall      == Uninstall Mupen64Plus console front-end application"
	@echo "  Options:"
	@echo "    COREDIR=path   == default path to search for Mupen64Plus Core (must end with slash)"
	@echo "    PLUGINDIR=path == default path to search for plugins"
	@echo "    SHAREDIR=path  == default path to search for shared data files"
	@echo "    APIDIR=path    == path to find Mupen64Plus Core headers"
	@echo "    OPTFLAGS=flags == compiler optimization (default: -O3 -flto)"
	@echo "    WARNFLAGS=flag == compiler warning levels (default: -Wall)"
	@echo "    PIE=(1|0)      == Force enable/disable of position independent executables"
	@echo "    POSTFIX=name  == String added to the name of the the build (default: '')"
	@echo "  Install Options:"
	@echo "    PREFIX=path    == install/uninstall prefix (default: /usr/local/)"
	@echo "    BINDIR=path    == path to install mupen64plus binary (default: PREFIX/bin/)"
	@echo "    MANDIR=path    == path to install mupen64plus manual page (default: PREFIX/share/man)"
	@echo "    APPSDIR=path   == path to install desktop file (default: PREFIX/share/applications)"
	@echo "    ICONSDIR=path  == path to install icon files (default: PREFIX/share/icons/hicolor)"
	@echo "    DESTDIR=path   == path to prepend to all installation paths (only for packagers)"
	@echo "  Debugging Options:"
	@echo "    DEBUG=1        == add debugging symbols to application binary"
	@echo "    V=1            == show verbose compiler output"

all: $(TARGET)

clean:
	$(RM) -r $(OBJDIR) $(TARGET)

rebuild: clean all

install: $(TARGET)
	$(INSTALL) -d "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -m 0755 $(INSTALL_STRIP_FLAG) $(TARGET) "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -d "$(DESTDIR)$(MANDIR)/man6"
	$(INSTALL) -m 0644 ../../doc/mupen64plus.6 "$(DESTDIR)$(MANDIR)/man6"
	$(INSTALL) -d "$(DESTDIR)$(APPSDIR)"
	$(INSTALL) -m 0644 ../../data/mupen64plus.desktop "$(DESTDIR)$(APPSDIR)"
	$(INSTALL) -d "$(DESTDIR)$(ICONSDIR)/48x48/apps"
	$(INSTALL) -m 0644 ../../data/icons/48x48/apps/mupen64plus.png "$(DESTDIR)$(ICONSDIR)/48x48/apps"
	$(INSTALL) -d "$(DESTDIR)$(ICONSDIR)/scalable/apps"
	$(INSTALL) -m 0644 ../../data/icons/scalable/apps/mupen64plus.svg "$(DESTDIR)$(ICONSDIR)/scalable/apps"


uninstall:
	$(RM) "$(DESTDIR)$(BINDIR)/$(TARGET)" "$(DESTDIR)$(MANDIR)/man6/mupen64plus.6"
	$(RM) "$(DESTDIR)$(APPSDIR)/mupen64plus.desktop"
	$(RM) "$(DESTDIR)$(ICONSDIR)/48x48/apps/mupen64plus.png"
	$(RM) "$(DESTDIR)$(ICONSDIR)/scalable/apps/mupen64plus.svg"


# build dependency files
CFLAGS += -MD -MP
-include $(OBJECTS:.o=.d)

# standard build rules
$(OBJDIR)/%.o: $(SRCDIR)/%.c
	$(COMPILE.c) -o $@ $<

$(TARGET): $(OBJECTS)
	$(LINK.o) $^ $(LOADLIBES) $(LDLIBS) -o $@

.PHONY: all clean install uninstall targets

=== debian/changelog ===
mupen64plus-ui-console (2.5-5) unstable; urgency=medium

  * debian/patches:
    - Add Fix-GNU-troff-L-in-k-compatibility-of-manpage.patch
  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:47:34 +0200

mupen64plus-ui-console (2.5-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:53:31 +0200

mupen64plus-ui-console (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-ui-console-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:59:49 +0100

mupen64plus-ui-console (2.5-2) unstable; urgency=medium

  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team
  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:43 +0100

mupen64plus-ui-console (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * Install mupen64plus.desktop to associate application/x-n64-rom files with
    mupen64plus-ui-console
  * Upgraded to policy 3.9.6, no changes required
  * debian/copyright:
    - Update years in debian/copyright
    - Add new files to debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 16:42:54 +0200

mupen64plus-ui-console (2.0+18+gfb21340-1) experimental; urgency=medium

  * New Upstream Snapshot from fb21340f22ac17a5f1fdcf51a12f228638e5b332
  * debian/patches:
    - Remove upstream merged make_header_depends.patch
  * debian/mupen64plus-ui-console.install:
    - Install *.desktop and related files

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 11:53:01 +0200

mupen64plus-ui-console (2.0-2) unstable; urgency=low

  * debian/patches:
    - Add make_header_depends.patch, Don't fail rebuild when header is removed
  * debian/rules:
    - Re-enable -flto because the error was caused by different combination
  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:18:25 +0200

=== debian/control ===
Source: mupen64plus-ui-console
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-ui-console.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-ui-console
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libmupen64plus-dev (>= 1.99.5),
 libsdl2-dev,

Package: mupen64plus-ui-console
Architecture: any-amd64 any-i386
Depends:
 mupen64plus-audio-all | mupen64plus-audio,
 mupen64plus-config-abi-2.2,
 mupen64plus-data,
 mupen64plus-frontend-abi-2.1.1,
 mupen64plus-input-all | mupen64plus-input,
 mupen64plus-rsp-all | mupen64plus-rsp,
 mupen64plus-video-all | mupen64plus-video,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-ui,
Breaks:
 mupen64plus (<< 1.99.1),
Replaces:
 mupen64plus (<< 1.99.1),
Description: console frontend for mupen64plus
 Minimal console user interface for mupen64plus. Features provided:
  * Changeable emulation plugins for audio, core, input, rsp, video
  * Selection of emulation core
  * Graphical OSD for status output
  * Setting of configuration variable per session or in configuration file
  * Cheat database support
  * Loading of roms
 .
 It does not provide any sort of graphical setup or functionality to
 uncompress files.

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-ui-console/releases \
	/mupen64plus/mupen64plus-ui-console/releases/download/[^/]+/mupen64plus-ui-console-src-(.*\d).tar.gz

## mupen64plus-ui-console 2.5.9

=== projects/unix/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 # *   Mupen64plus - Makefile                                                *
-# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
+# *   Mupen64Plus homepage: https://mupen64plus.org/                        *
 # *   Copyright (C) 2009 Richard42                                          *
 # *                                                                         *
 # *   This program is free software; you can redistribute it and/or modify  *
@@ -40,7 +40,6 @@
 endif
 ifeq ("$(UNAME)","OpenBSD")
   OS = FREEBSD
-  $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
   OS = LINUX
@@ -49,7 +48,7 @@
   OS = MINGW
 endif
 ifeq ("$(OS)","NONE")
-  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # detect system architecture, only if it matters for build flags
@@ -77,15 +76,10 @@
   CFLAGS += -lpthread
   LDLIBS += -lpthread
 else
-  CFLAGS += -pthread
-  LDLIBS += -pthread
-endif
-
-ifeq ($(PIE), 1)
-  CFLAGS += -fPIE
-  LDFLAGS += -pie
-else
-  CFLAGS += -fno-PIE
+  ifneq ($(OS), OSX)
+    CFLAGS += -pthread
+    LDLIBS += -pthread
+  endif
 endif
 
 # set special flags per-system
@@ -93,15 +87,14 @@
   LDLIBS += -ldl
 endif
 ifeq ($(OS), OSX)
-  #xcode-select has been around since XCode 3.0, i.e. OS X 10.5
-  OSX_SDK_ROOT = $(shell xcode-select -print-path)/Platforms/MacOSX.platform/Developer/SDKs
-  OSX_SDK_PATH = $(OSX_SDK_ROOT)/$(shell ls $(OSX_SDK_ROOT) | tail -1)
+  OSX_SDK_PATH = $(shell xcrun --sdk macosx --show-sdk-path)
+  LDLIBS += -framework CoreFoundation
 
   ifeq ($(CPU), X86)
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.5 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
     else
-      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.5 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
     endif
   endif
 endif
@@ -179,12 +172,50 @@
 COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
 LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)
 
+ifeq ($(PIE), 1)
+  CFLAGS += -fPIE
+  LDFLAGS += -pie
+else
+  CFLAGS += -fno-PIE
+  ifeq ($(CC),$(CROSS_COMPILE)gcc)
+    # check if PIE is the default for the compiler
+    PIE_DEFAULT = $(shell $(CC) -v 2>&1 | grep enable-default-pie)
+    ifneq ($(PIE_DEFAULT),)
+      LDFLAGS += -no-pie
+    endif
+  endif
+endif
+
+# set installation options
+ifeq ($(PREFIX),)
+  PREFIX := /usr/local
+endif
+ifeq ($(LIBDIR),)
+  LIBDIR := $(PREFIX)/lib
+endif
+ifeq ($(BINDIR),)
+  BINDIR := $(PREFIX)/bin
+endif
+ifeq ($(MANDIR),)
+  MANDIR := $(PREFIX)/share/man
+endif
+ifeq ($(APPSDIR),)
+  APPSDIR := $(PREFIX)/share/applications
+endif
+ifeq ($(ICONSDIR),)
+  ICONSDIR := $(PREFIX)/share/icons/hicolor
+endif
+
 # set special flags for given Makefile parameters
+ifeq ($(PLUGINDIR),)
+  CFLAGS += '-DPLUGINDIR="$(LIBDIR)/mupen64plus"'
+else
+  CFLAGS += '-DPLUGINDIR="$(PLUGINDIR)"'
+endif
 # note: COREDIR _must_ end in a slash if you want it to work; not necessary for the others
-ifneq ($(PLUGINDIR),)
-  CFLAGS += '-DPLUGINDIR="$(PLUGINDIR)"'
-endif
-ifneq ($(COREDIR),)
+ifeq ($(COREDIR),)
+  CFLAGS += '-DCOREDIR="$(LIBDIR)/"'
+else
   CFLAGS += '-DCOREDIR="$(COREDIR)"'
 endif
 ifneq ($(SHAREDIR),)
@@ -195,23 +226,6 @@
   INSTALL_STRIP_FLAG ?= 
 else
   INSTALL_STRIP_FLAG ?= -s
-endif
-
-# set installation options
-ifeq ($(PREFIX),)
-  PREFIX := /usr/local
-endif
-ifeq ($(BINDIR),)
-  BINDIR := $(PREFIX)/bin
-endif
-ifeq ($(MANDIR),)
-  MANDIR := $(PREFIX)/share/man
-endif
-ifeq ($(APPSDIR),)
-  APPSDIR := $(PREFIX)/share/applications
-endif
-ifeq ($(ICONSDIR),)
-  ICONSDIR := $(PREFIX)/share/icons/hicolor
 endif
 
 SRCDIR = ../../src
@@ -228,6 +242,7 @@
 	$(SRCDIR)/cheat.c \
 	$(SRCDIR)/compare_core.c \
 	$(SRCDIR)/core_interface.c \
+	$(SRCDIR)/debugger.c \
 	$(SRCDIR)/main.c \
 	$(SRCDIR)/plugin.c

=== debian/changelog ===
mupen64plus-ui-console (2.5.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 16:25:07 +0100

mupen64plus-ui-console (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * debian/control:
    - Depend on mupen64plus >= 2.5.9
    - Depend on new mupen64plus ABIs
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/patches:
    - Add fix-issue-54-front-end-application-uses-Config-API-functi.patch, Fix
      config API dependency
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019
    - Add copyright for new files

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:03 +0100

mupen64plus-ui-console (2.5-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-ui-console: Drop versioned constraint on mupen64plus in
      Breaks and Replaces.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:56:33 +0100

=== debian/control ===
Source: mupen64plus-ui-console
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-ui-console.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-ui-console
Build-Depends:
 debhelper-compat (= 13),
 libmupen64plus-dev (>= 2.5.9),
 libsdl2-dev,

Package: mupen64plus-ui-console
Architecture: any-amd64 any-i386
Depends:
 mupen64plus-audio-all | mupen64plus-audio,
 mupen64plus-config-abi-2.3.1,
 mupen64plus-data,
 mupen64plus-debug-abi-2.0.1,
 mupen64plus-frontend-abi-2.1.2,
 mupen64plus-input-all | mupen64plus-input,
 mupen64plus-rsp-all | mupen64plus-rsp,
 mupen64plus-video-all | mupen64plus-video,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-ui,
Description: console frontend for mupen64plus
 Minimal console user interface for mupen64plus. Features provided:
  * Changeable emulation plugins for audio, core, input, rsp, video
  * Selection of emulation core
  * Graphical OSD for status output
  * Setting of configuration variable per session or in configuration file
  * Cheat database support
  * Loading of roms
 .
 It does not provide any sort of graphical setup or functionality to
 uncompress files.

## mupen64plus-ui-console 2.5.9%2B26%2Bg3ad5cbb

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="pgpsigurlmangle=s/$/.asc/" \
  https://github.com/mupen64plus/mupen64plus-ui-console/releases \

## mupen64plus-ui-console 2.5.9+26+g3ad5cbb

=== projects/unix/Makefile ===
--- 
+++ 
@@ -67,11 +67,14 @@
   ARCH_DETECTED := 32BITS
 endif
 
+SRCDIR = ../../src
+OBJDIR = _obj$(POSTFIX
+
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall
 
-CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -I../../src
+CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -I$(SRCDIR)
 ifeq ($(OS), MINGW)
   CFLAGS += -lpthread
   LDLIBS += -lpthread
@@ -129,8 +132,20 @@
   ifeq ($(OS), FREEBSD)
     $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
   endif
-  CFLAGS += -m32
-  LDFLAGS += -Wl,-m,elf_i386
+  ifneq ($(OS), OSX)
+    ifeq ($(OS), MINGW)
+      LDFLAGS += -Wl,-m,i386pe
+    else
+      CFLAGS += -m32
+      LDFLAGS += -Wl,-m,elf_i386
+    endif
+  endif
+endif
+
+ifeq ($(ARCH_DETECTED), 64BITS)
+  ifeq ($(OS), MINGW)
+    LDFLAGS += -Wl,-m,i386pep
+  endif
 endif
 
 # set mupen64plus core API header path
@@ -172,16 +187,26 @@
 COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
 LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)
 
-ifeq ($(PIE), 1)
-  CFLAGS += -fPIE
-  LDFLAGS += -pie
-else
-  CFLAGS += -fno-PIE
+ifndef PIE
   ifeq ($(CC),$(CROSS_COMPILE)gcc)
     # check if PIE is the default for the compiler
     PIE_DEFAULT = $(shell $(CC) -v 2>&1 | grep enable-default-pie)
-    ifneq ($(PIE_DEFAULT),)
+    ifeq ($(PIE_DEFAULT),)
+      PIE = 1
+    endif
+  endif
+endif
+
+ifdef PIE
+  ifeq ($(PIE), 1)
+    CFLAGS += -fPIE
+    LDFLAGS += -pie
+  else
+    ifeq ($(PIE), 0)
+      CFLAGS += -fno-PIE
       LDFLAGS += -no-pie
+    else
+      $(error Invalid PIE value.)
     endif
   endif
 endif
@@ -303,13 +328,13 @@
 	$(INSTALL) -d "$(DESTDIR)$(BINDIR)"
 	$(INSTALL) -m 0755 $(INSTALL_STRIP_FLAG) $(TARGET) "$(DESTDIR)$(BINDIR)"
 	$(INSTALL) -d "$(DESTDIR)$(MANDIR)/man6"
-	$(INSTALL) -m 0644 ../../doc/mupen64plus.6 "$(DESTDIR)$(MANDIR)/man6"
+	$(INSTALL) -m 0644 $(SRCDIR)/../doc/mupen64plus.6 "$(DESTDIR)$(MANDIR)/man6"
 	$(INSTALL) -d "$(DESTDIR)$(APPSDIR)"
-	$(INSTALL) -m 0644 ../../data/mupen64plus.desktop "$(DESTDIR)$(APPSDIR)"
+	$(INSTALL) -m 0644 $(SRCDIR)/../data/mupen64plus.desktop "$(DESTDIR)$(APPSDIR)"
 	$(INSTALL) -d "$(DESTDIR)$(ICONSDIR)/48x48/apps"
-	$(INSTALL) -m 0644 ../../data/icons/48x48/apps/mupen64plus.png "$(DESTDIR)$(ICONSDIR)/48x48/apps"
+	$(INSTALL) -m 0644 $(SRCDIR)/../data/icons/48x48/apps/mupen64plus.png "$(DESTDIR)$(ICONSDIR)/48x48/apps"
 	$(INSTALL) -d "$(DESTDIR)$(ICONSDIR)/scalable/apps"
-	$(INSTALL) -m 0644 ../../data/icons/scalable/apps/mupen64plus.svg "$(DESTDIR)$(ICONSDIR)/scalable/apps"
+	$(INSTALL) -m 0644 $(SRCDIR)/../data/icons/scalable/apps/mupen64plus.svg "$(DESTDIR)$(ICONSDIR)/scalable/apps"
 
 
 uninstall:

=== debian/changelog ===
mupen64plus-ui-console (2.5.9+26+g3ad5cbb-3) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:33:35 +0100

mupen64plus-ui-console (2.5.9+26+g3ad5cbb-2) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Fri, 16 Dec 2022 21:01:18 +0100

mupen64plus-ui-console (2.5.9+26+g3ad5cbb-1) experimental; urgency=medium

  * New Upstream Snapshot from 3ad5cbb56fcf4921ffae8c7b8ee52ea0ae82c044
  * Upload to experimental

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 18:04:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-ui-console.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-ui-console
 Build-Depends:
  debhelper-compat (= 13),
- libmupen64plus-dev (>= 2.5.9),
+ libmupen64plus-dev (>= 2.5.9+322+g2ac8682c),
  libsdl2-dev,
 
 Package: mupen64plus-ui-console
@@ -22,7 +22,7 @@
  mupen64plus-config-abi-2.3.1,
  mupen64plus-data,
  mupen64plus-debug-abi-2.0.1,
- mupen64plus-frontend-abi-2.1.2,
+ mupen64plus-frontend-abi-2.1.3,
  mupen64plus-input-all | mupen64plus-input,
  mupen64plus-rsp-all | mupen64plus-rsp,
  mupen64plus-video-all | mupen64plus-video,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk

export PKG_CONFIG ?= pkg-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ COREDIR="/usr/lib/$(DEB_HOST_MULTIARCH)/" PLUGINDIR="/usr/lib/$(DEB_HOST_MULTIARCH)/mupen64plus" MANDIR=/usr/share/man/ BINDIR=/usr/games/ OPTFLAGS="-DNDEBUG" PIE=1 SDL_CONFIG=sdl2-config

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix"

override_dh_auto_test:
	# otherwise dh_auto_test fails with debhelper 9.20130624

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_clean override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

## mupen64plus-ui-console 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 endif
 
 SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX
+OBJDIR = _obj$(POSTFIX)
 
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
@@ -95,9 +95,9 @@
 
   ifeq ($(CPU), X86)
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
-    else
-      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.9 -isysroot $(OSX_SDK_PATH)
+    else
+      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.9 -isysroot $(OSX_SDK_PATH)
     endif
   endif
 endif
@@ -252,9 +252,6 @@
 else
   INSTALL_STRIP_FLAG ?= -s
 endif
-
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
 
 ifeq ("$(OS)","MINGW")
   EXEEXT = .exe
@@ -307,8 +304,8 @@
 	@echo "    PIE=(1|0)      == Force enable/disable of position independent executables"
 	@echo "    POSTFIX=name  == String added to the name of the the build (default: '')"
 	@echo "  Install Options:"
-	@echo "    PREFIX=path    == install/uninstall prefix (default: /usr/local/)"
-	@echo "    BINDIR=path    == path to install mupen64plus binary (default: PREFIX/bin/)"
+	@echo "    PREFIX=path    == install/uninstall prefix (default: /usr/local)"
+	@echo "    BINDIR=path    == path to install mupen64plus binary (default: PREFIX/bin)"
 	@echo "    MANDIR=path    == path to install mupen64plus manual page (default: PREFIX/share/man)"
 	@echo "    APPSDIR=path   == path to install desktop file (default: PREFIX/share/applications)"
 	@echo "    ICONSDIR=path  == path to install icon files (default: PREFIX/share/icons/hicolor)"

=== debian/changelog ===
mupen64plus-ui-console (2.6.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:58 +0100

mupen64plus-ui-console (2.6.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Jul 2024 10:27:37 +0200

mupen64plus-ui-console (2.5.9+26+g3ad5cbb-4) unstable; urgency=medium

  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/watch:
    - Switch to api.github.com to check for releases
  * debian/patches:
    - Add main.c-Fix-64DD-ROM-loading.patch, Fix 64DD ROM loading
      (Closes: #1075299)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 03 Jul 2024 15:38:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-ui-console.git -b debian/unstable

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 -include /usr/share/dpkg/buildtools.mk
 
 export PKG_CONFIG ?= pkg-config
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -flto
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto abi=+lfs
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
